
From: john stultz <johnstul@us.ibm.com>

This patch ensures that cpu_khz is adjusted on cpufreq notifications even
when the tsc timesource is not in use.  It fixes the mostly cosmetic issue
when using the ACPI PM timesource of /proc/cpuinfo not being properly
updated when cpu frequency was lowered.  


---

 25-akpm/arch/i386/kernel/timers/timer_tsc.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/timers/timer_tsc.c~cpu_khz-adjustment-fix arch/i386/kernel/timers/timer_tsc.c
--- 25/arch/i386/kernel/timers/timer_tsc.c~cpu_khz-adjustment-fix	Thu Mar 18 13:09:48 2004
+++ 25-akpm/arch/i386/kernel/timers/timer_tsc.c	Thu Mar 18 13:09:48 2004
@@ -360,8 +360,9 @@ time_cpufreq_notifier(struct notifier_bl
 		if (variable_tsc)
 			cpu_data[freq->cpu].loops_per_jiffy = cpufreq_scale(loops_per_jiffy_ref, ref_freq, freq->new);
 #ifndef CONFIG_SMP
-		if (use_tsc) {
+		if(cpu_khz)
 			cpu_khz = cpufreq_scale(cpu_khz_ref, ref_freq, freq->new);
+		if (use_tsc) {
 			if (variable_tsc) {
 				fast_gettimeoffset_quotient = cpufreq_scale(fast_gettimeoffset_ref, freq->new, ref_freq);
 				set_cyc2ns_scale(cpu_khz/1000);

_
